Skip to main content
GET
/
v1
/
identities
/
performance
Get identity performance metrics
curl --request GET \
  --url https://openapi.enginy.ai/v1/identities/performance \
  --header 'x-api-key: <api-key>'
{
  "status": "success",
  "message": "<string>",
  "data": {
    "startDate": "2023-11-07T05:31:56Z",
    "endDate": "2023-11-07T05:31:56Z",
    "granularity": "day",
    "identities": [
      {
        "identityId": 123,
        "identityName": "<string>",
        "identityEmail": "<string>",
        "totals": {
          "emailsSent": 123,
          "linkedinActions": {
            "connectionRequests": 123,
            "messages": 123,
            "profileViews": 123,
            "postLikes": 123,
            "total": 123
          }
        },
        "timeSeries": [
          {
            "periodStart": "2023-11-07T05:31:56Z",
            "emailsSent": 123,
            "linkedinActions": {
              "connectionRequests": 123,
              "messages": 123,
              "profileViews": 123,
              "postLikes": 123,
              "total": 123
            }
          }
        ]
      }
    ]
  }
}

Authorizations

x-api-key
string
header
required

Query Parameters

startDate
string
required

Start date in ISO 8601 format.

endDate
string
required

End date in ISO 8601 format (must be after startDate).

granularity
enum<string>

Time grouping for metrics. Defaults to day.

Available options:
day,
week,
month
identityIds

Optional identity IDs (comma-separated string or repeated query parameter).

Response

Successful response with identity performance metrics

status
enum<string>
required
Available options:
success
message
string
required
data
object
required